Home

# Library goog.crypt

Function Summary
| `byteArrayToHex(?Array array) ⇒ string` Turns an array of numbers into the hex string given by the concatenation of the hex values to which the numbers correspond.
| `byteArrayToString(?Array array) ⇒ string` Turns an array of numbers into the string given by the concatenation of the characters to which the numbers correspond.
| `stringToByteArray(string str) ⇒ ?Array.<number>` Turns a string into an array of bytes; a "byte" being a JS number in the range 0-255.
| `stringToUtf8ByteArray(string str) ⇒ ?Array.<number>` Converts a JS string to a UTF-8 "byte" array.
| `utf8ByteArrayToString(?Array.<number> bytes) ⇒ string` Converts a UTF-8 byte array to JavaScript's 16-bit Unicode.